## Panel Panel — The file responsible for managing panels |

## Functions

| checkPanelUpgrade ()

## Description

This file is where everything about panels happens. `Main` will create a `PanelManager` object, which is responsible for creating and moving panels. There is also a `checkPanelUpgrade` function used as a transition between the old panel settings and the new panel settings.

## Functions

### checkPanelUpgrade ()

    checkPanelUpgrade ();

Run from main, prior to PanelManager being initialized this handles the one-time transition between panel implementations to make this transition invisible to the user. We will evaluate the desktop-layout key, and pre-set applets-enabled and panels-enabled appropriately.